Custom hostnames
The organization's custom hostnames in the API key's environment (scope: sites:read)
GET
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
OK
application/json- response
data*array<>meta?error*nullcurl -X GET "https://example.com/custom-hostnames"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "domain": "string", "target": "store", "status": "pending_verification", "ssl_status": "none", "store_id": "7fe87115-950c-4ae8-bd7e-970406bc9ac0", "website_id": "9a5872c2-0bf0-4c68-9c27-86a09b05bf66", "verified_at": "2019-08-24T14:15:22Z", "last_checked_at": "2019-08-24T14:15:22Z", "last_error": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "meta": { "page": 0, "perPage": 0, "total": 0, "totalPages": 0, "nextCursor": "string" }, "error": null}The DNS records to publish: TXT ownership proof, CNAME target and Cloudflare DCV records (scope: sites:read) GET
Previous Page
Re-check the TXT ownership proof, the CNAME and the Cloudflare hostname; moves the hostname to pending_verification, verified or active. Honours Idempotency-Key. (scope: sites:write) POST
Next Page